Bug 506792 - [Emulex 5.4 bug] Update lpfc to version 8.2.0.46 (bug fixes only)
[Emulex 5.4 bug] Update lpfc to version 8.2.0.46 (bug fixes only)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity high
: rc
: 5.4
Assigned To: Rob Evers
Red Hat Kernel QE team
: OtherQA, Regression
: 506968 (view as bug list)
Depends On:
Blocks: 461676
  Show dependency treegraph
 
Reported: 2009-06-18 12:51 EDT by Jamie Wellnitz
Modified: 2010-10-23 06:10 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:34:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to update Emulex lpfc driver 8.2.0.46 (applies on top of 8.2.0.45) (27.21 KB, patch)
2009-06-18 12:51 EDT, Jamie Wellnitz
no flags Details | Diff

  None (edit)
Description Jamie Wellnitz 2009-06-18 12:51:16 EDT
Created attachment 348528 [details]
Patch to update Emulex lpfc driver 8.2.0.46 (applies on top of 8.2.0.45)

Update lpfc inbox driver for RHEL 5.4 to 8.2.0.46.

This patch contains the following changes:

* Changed version number to 8.2.0.46
* Remove always true conditional in lpfc_sli_read_serdes_param()
* Update resume_rpi mailbox data structure to match spec
* Rework/cleanup EH entry points to be consistent with upstream implementation
* Fixed lpfcdfc_host leak when lpfc_pci_remove_one_s4 called or init error occurs
* Use PCI config space register to determine SLI rev of HBA
* Fixed crash when sending CT commands from libdfc
* Fixed mailbox timeout during HBA reset
* Fixed SLI4 HBAs not accessible from /dev/lpfcdfc
* Show persistent link down state in link_state sysfs attribute
* Fix for firmware dump failure (CR 90533)
Comment 1 Rob Evers 2009-06-23 15:24:42 EDT
*** Bug 506968 has been marked as a duplicate of this bug. ***
Comment 5 RHEL Product and Program Management 2009-06-25 15:54:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Evan McNabb 2009-06-30 11:23:22 EDT
We hit the panic mentioned in BZ 506968 last night. I tested out lpfc 8.2.0.46 and no longer see it.
Comment 7 Rob Evers 2009-06-30 13:31:55 EDT
Hi Jamie,

A style issue came up during internal review with this patch:

-	if (pci_read_config_word(pdev, PCI_DEVICE_ID, &dev_id))
+	if (pci_read_config_dword(pdev, LPFC_SLIREV_CONF_WORD,
+		(uint32_t *) &intf))

-	if (pci_read_config_word(pdev, PCI_DEVICE_ID, &dev_id))
+	if (pci_read_config_dword(pdev, LPFC_SLIREV_CONF_WORD,
+		&intf.word0)

Please consider this for a future patch.

Thanks, Rob
Comment 8 Jamie Wellnitz 2009-06-30 14:47:47 EDT
Rob,

We'll include this change in the next lpfc patch (which should be today).

Thanks, Jamie
Comment 9 Don Zickus 2009-06-30 16:22:56 EDT
in kernel-2.6.18-156.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 11 Chris Ward 2009-07-03 14:46:07 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 12 Chris Ward 2009-07-10 15:14:26 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 15 errata-xmlrpc 2009-09-02 04:34:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.